package javax.management.loading;

import java.io.IOException;
import java.util.Enumeration;
import java.io.InputStream;
import java.net.URL;
import javax.management.ServiceNotFoundException;
import java.util.Set;

public interface MLetMBean
{
    public abstract Set<Object> getMBeansFromURL(String p0) throws ServiceNotFoundException;
    
    public abstract Set<Object> getMBeansFromURL(URL p0) throws ServiceNotFoundException;
    
    public abstract void addURL(URL p0);
    
    public abstract void addURL(String p0) throws ServiceNotFoundException;
    
    public abstract URL[] getURLs();
    
    public abstract URL getResource(String p0);
    
    public abstract InputStream getResourceAsStream(String p0);
    
    public abstract Enumeration<URL> getResources(String p0) throws IOException;
    
    public abstract String getLibraryDirectory();
    
    public abstract void setLibraryDirectory(String p0);
}
